Can't install any package

Bug #421872 reported by udachee on 2009-08-31
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pases
Undecided
Unassigned

Bug Description

When I try to install .pases package with M-x pases:install-package Emacs writes in minibuffer
==
Assertion failed: (tar-data-swapped-p)
==

and in *Messages*

==
uncompressing mingus-0.29.pases...done
You can't save this buffer because compression program is not defined
tar-summarize-buffer: Assertion failed: (tar-data-swapped-p)
==

It is the same for locally built and downloaded packages. I use Emacs 23.1 in Ubuntu 9.04.

Erik Hetzner (egh) wrote :

Hi -

Thanks for the bug report. It seems that Emacs has significantly changed tar-mode (used to unpack tar files) in Emacs 23. I will try to fix this as soon as possible. I am behind the times and have not been using Emacs 23.

best,
Erik Hetzner

Erik Hetzner (egh) wrote :

Fixed in trunk.

Changed in pases:
status: New → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers